<div class="menu"></div>
<div class="flex-container">
      <div class="header">
      </div>
      <div class="frame">
            <div class="photo-detail">
                  <% for (let i in picture){%>
                        <% for (let j in picture[i]){%>
                              <% if(j == 'posted_by'){%>
                                    <span class="post-by"><%- picture[i][j] %></span>
                              <% } %>
                              <% if(j == 'created_at'){%>
                                    <p class="create-date"><%- picture[i][j] %></p>
                              <% } %>
                              <% if(j == 'picture_id'){%>
                                    <img src=/images/<%- picture[i][j] %> >
                              <% } %>
                              <% if(j == 'caption'){%>
                                    <p><%- picture[i][j] %></p>
                              <% } %>
                        <% }%>
                  <% }%>
                  <div class="action">
                        <form method="POST" action=/pikka/<%-pictureId %>/like>
                              <a href='#'><img src="/images/comment-icon.png" class="imgCommentDetail"></a>
                              <button type='submit'><img src=/images/<%-imgLikeUnlike %> class="imgLikesDetail"></button>
                        </form>
                  </div>
                  <div class="amountLikeComment">
                        <span class="like-photo">0 likes</span>&nbsp;
                        <span class="comments">0 comments</span>
                  </div>                                   
            </div>
            <div class="photo-comment">
                        <div class="embed-submit-field">
                              <form method="POST" action=/pikka/<%-pictureId %>/comment>
                                    <textarea name="comment" type="text" class="txtCommment" rows="2" cols="73"></textarea>   
                                    <input type="submit" value="comment" class="btnCommentDetail">
                              </form>
                        </div>
                  <br>
                  <% for(let index in comments){%>
                        <% for(let key in comments[index]){%>
                              <% if(key == 'text'){%>
                                    <p><%- comments[index][key]%></p>
                              <% }%>
                        <% }%>
                  <% }%>
            </div>
      </div>
</div>

<script>

</script>